> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create a new app definition

POST https://api.contentful.com/organizations/{organization_id}/app_definitions
Content-Type: application/vnd.contentful.management.v1+json

Reference: https://contentful.com/developers/docs/references/content-management-api/app-definitions/create-a-new-app-definition

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — organization_id identifier

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Resource created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "locations": [
    {
      "location": "entry-sidebar"
    }
  ],
  "name": "Hello world!",
  "src": "https://example.com/app.html"
}
```

**Response**

```json
{
  "locations": [
    {
      "location": "entry-sidebar"
    }
  ],
  "name": "Hello world!",
  "src": "https://example.com/app.html",
  "sys": {
    "createdAt": "2025-03-22T10:59:32.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "<app_definition_id>",
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "AppDefinition",
    "updatedAt": "2025-03-22T10:59:32.000Z",
    "updatedBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    }
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getOrganization('<organization_id>')
  .then((organization) => organization.createAppDefinition({
    name: 'Hello world!',
    parameters: {},
    src: 'https://example.com/app.html',
    locations: ['entry-sidebar'],
  }))
  .catch(console.error);
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const appDefinition = await client.appDefinition.create(
  {
    organizationId: '<organization_id>',
  },
  {
    name: "Hello world!",
    parameters: {},
    src: "https://example.com/app.html",
    locations: [
      {
        location: "entry-sidebar",
      },
    ],
  }
);
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```